<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

// BEGIN: j17
// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $params->get('access-edit');

//$_this->item->text => $_this->item->introtext
// END: j17

$canEdit   = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
?>
<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>

<div>
<?php

if ($this->item->params->get('show_create_date')) {
	$day_first = false;
	list($day, $month, $year) = explode(' ', date('j M Y', strtotime($this->item->created)));

	echo '
	<table width="100%" class="blog_view">
		<tr>
			<td width="1%" valign="top">
				<div class="blogdate">
';

	if ($day_first) 
		echo '
					<div class="day">' . $day . '</div>
					<div class="month">' . JText::_($month) . '</div>
';
	else
		echo '
					<div class="month">' . JText::_($month) . '</div>
					<div class="day">' . $day . '</div>
';

	echo '
					<div class="year">' . JText::_($year) . '</div>
				</div>
			</td>
			<td>
';
}


$elements = array();

if (($params->get('show_author')) && ($this->item->author != '')) {

	// BEGIN: j17
	$author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
	if (!empty($this->item->contactid) && $params->get('link_author') == true):
		$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
		$item = JSite::getMenu()->getItems('link', $needle, true);
		$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
		$elements[] = '<div style="margin-top: 10px;" class="author">'.JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author)).'</div>';
	else:
		$elements[] = '<div style="margin-top: 10px;" class="author">'.JText::sprintf('COM_CONTENT_WRITTEN_BY', $author).'</div>';
	endif;
}

// BEGIN: j17	
if ($params->get('show_create_date')) {
	$elements[] = '<div class="createdate"><span style="position: relative; top: -2px;">' . JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))) . '</span>';

// BEGIN: j17
	$elements[] = '';
if ($this->print) {
	$elements[] = JHTML::_('icon.print_screen', $this->item, $params, $this->access);
}
else {
	if ($params->get( 'show_print_icon'))
		$elements[] = JHTML::_('icon.print_popup', $this->item, $params, $this->access);

	if ($params->get('show_email_icon'))
		$elements[] = JHTML::_('icon.email', $this->item, $params, $this->access);

	if ($canEdit)
		$elements[] = JHTML::_('icon.edit', $this->item, $params, $this->access);
}
	$elements[] = '</div>';
}
// END: j17


if ($this->item->params->get('show_title') || !empty($elements)) {
	echo '
	<div class="contentpaneopen' . $this->item->params->get( 'pageclass_sfx' ) . '">
	';
	
	if ($this->item->params->get('show_title')) {
		echo '
		<div class="contentheading' . $this->item->params->get( 'pageclass_sfx' ) . '">
	';
		//j17
		//if ($this->item->params->get('link_titles') && $this->item->readmore_link != '')
		if ($this->item->params->get('link_titles') && $params->get('access-view'))
			echo '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $this->item->params->get( 'pageclass_sfx' ) . '">' . $this->item->title . '</a>
	';
		else
			echo $this->escape($this->item->title);
	
		echo '
		</div>
	';
	}

	if (!empty($elements))	
		echo '
		<div class="contentinfo">
		' . implode(' &nbsp; ', $elements) . '
		</div>
	';
	
	echo '
	</div>
	';
}

if ($this->item->params->get('show_create_date'))
	echo '
			</td>
		</tr>
	</table>
';

?>
</div>

<?php  if (!$this->item->params->get('show_intro')) :
	echo $this->item->event->afterDisplayTitle;
endif; ?>
<?php echo $this->item->event->beforeDisplayContent; ?>
<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
<?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
<tr>
	<td>
		<?php if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) : ?>
		<span>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->section; ?>
			<?php if ($this->item->params->get('link_section')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
				<?php if ($this->item->params->get('show_category')) : ?>
				<?php echo ' - '; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
		<?php if ($this->item->params->get('show_category') && $this->item->catid) : ?>
		<span>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
			<?php endif; ?>
			<?php echo $this->item->category; ?>
			<?php if ($this->item->params->get('link_category')) : ?>
				<?php echo '</a>'; ?>
			<?php endif; ?>
		</span>
		<?php endif; ?>
	</td>
</tr>
<?php endif; ?>

<?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
<tr>
	<td valign="top" colspan="2">
		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
			<?php echo $this->item->urls; ?></a>
	</td>
</tr>
<?php endif; ?>

<tr>
<td valign="top" colspan="2">
<?php if (isset ($this->item->toc)) : ?>
	<?php echo $this->item->toc; ?>
<?php endif; ?>
<?php echo $this->item->introtext; ?>
</td>
</tr>

<?php if ($params->get('show_modify_date')) : ?>
<tr>
	<td colspan="2">
		<?php 
		// BEGIN: j17
		echo '<span class="modifydate" style="display:block; padding-bottom: 2px;">' . JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))) . '</span>';
		// END: j17
		 ?>
	</td>
</tr>
<?php endif; ?>

<?php // BEGIN: j17 readmore ?>
<?php if ($params->get('show_readmore') && $this->item->readmore) {
	if ($params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link1 = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId);
		$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
		$link = new JURI($link1);
		$link->setVar('return', base64_encode($returnURL));
	endif;
?>

<tr>
	<td  colspan="2">
		<a href="<?php echo $link; ?>" class="readon">
					<?php if (!$params->get('access-view')) :
						echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
					elseif ($readmore = $this->item->alternative_readmore) :
						echo $readmore;
						if ($params->get('show_readmore_title', 0) != 0) :
						    echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
						endif;
					elseif ($params->get('show_readmore_title', 0) == 0) :
						echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
					else :
						echo JText::_('COM_CONTENT_READ_MORE');
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif; ?></a>
	</td>
</tr>

<?php } ?>

</table>
<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>
<span class="article_separator">&nbsp;</span>
<?php echo $this->item->event->afterDisplayContent; ?>
